extends Node

var player: Node3D = null

func set_player(p_player: Node3D) -> void:
	player = p_player
	
func get_player() -> Node3D:
	return player

func load_base_monster_data(p_unique_id) -> MonsterData:
	var path = "res://resources/monsters/" + p_unique_id + ".tres"
	if ResourceLoader.exists(path):
		var base_monster = load(path)
		return base_monster
	else:
		printerr("Monster.gd: No monster with the ID %s found" % p_unique_id)
		return null
